package controller

import "narasi-ahli-be/app/module/chat/service"

type Controller struct {
	Chat             ChatController
	ChatSchedule     ChatScheduleController
	ChatScheduleFile ChatScheduleFileController
}

func NewController(ChatService service.ChatService, ChatScheduleService service.ChatScheduleService, ChatScheduleFileService service.ChatScheduleFileService) *Controller {
	return &Controller{
		Chat:             NewChatController(ChatService),
		ChatSchedule:     NewChatScheduleController(ChatScheduleService),
		ChatScheduleFile: NewChatScheduleFileController(ChatScheduleFileService),
	}
}
